package com.eactive.eai.agent.b2badaptermapping;

import com.eactive.eai.agent.command.Command;
import com.eactive.eai.agent.command.CommandException;
import com.eactive.eai.common.b2badaptermapping.B2BAdapterMapManager;
import com.eactive.eai.common.util.Logger;

public class RemoveB2BAdapterMapCommand extends Command {

	private static final long serialVersionUID = 1L;

	public RemoveB2BAdapterMapCommand() {
		super("RemoveB2BAdapterMapCommand");
	}

	public Object execute() throws CommandException {
		Logger logger = Logger.getLogger(Logger.LOGGER_DEFAULT);
		if (logger.isInfo())
			logger.info(this.name + " is executed");

		if (!(args instanceof String)) {
			String rspErrorCode = "RECEAIMCM001";
			String msg = makeException(rspErrorCode, null);
			if (logger.isError())
				logger.error(msg);
			throw new CommandException(msg);
		}

		B2BAdapterMapManager manager = B2BAdapterMapManager.getInstance();
		try {
			String keyName = (String) args;
			manager.remove(keyName);
		} catch (Exception e) {
			String rspErrorCode = "RECEAIMCM002";
			String msg = makeException(rspErrorCode, e);
			if (logger.isError())
				logger.error(msg, e);
			throw new CommandException(msg);
		}
		return "success";
	}
}
